Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface CustomBehaviour

All Superinterfaces:
  Behaviour, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CustomBehaviourImpl

    public interface CustomBehaviour

extends Behaviour

A representation of the model object 'Custom Behaviour'. Custom user behaviour

The following features are supported:

- `Key`
- `Edit Policy Qualified Class Name`

See Also:
  `GMFGenPackage.getCustomBehaviour()`
** Generated **
Model:

Method Summary
`java.lang.String` `getEditPolicyQualifiedClassName()` Returns the value of the 'Edit Policy Qualified Class Name' attribute
`java.lang.String` `getKey()` Returns the value of the 'Key' attribute
`void` `setEditPolicyQualifiedClassName(java.lang.String value)` Sets the value of the '`Edit Policy Qualified Class Name`' attribute
`void` `setKey(java.lang.String value)` Sets the value of the '`Key`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Behaviour
`getSubject`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKey

    java.lang.String getKey()

  Returns the value of the 'Key' attribute. Key used to register edit policy in host edit part

  Returns:
    the value of the 'Key' attribute.
  See Also:
    `setKey(String)`, `GMFGenPackage.getCustomBehaviour_Key()`
  ** Generated **
  Model:
    required="true"

### setKey

    void setKey(java.lang.String value)

  Sets the value of the '`Key`' attribute.

  Parameters:
    `value` - the new value of the 'Key' attribute.
  See Also:
    `getKey()`
  ** Generated **

### getEditPolicyQualifiedClassName

    java.lang.String getEditPolicyQualifiedClassName()

  Returns the value of the 'Edit Policy Qualified Class Name' attribute.

  If the meaning of the 'Edit Policy Qualified Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getEditPolicyQualifiedClassName` in interface `Behaviour`
  Returns:
    the value of the 'Edit Policy Qualified Class Name' attribute.
  See Also:
    `setEditPolicyQualifiedClassName(String)`, `GMFGenPackage.getCustomBehaviour_EditPolicyQualifiedClassName()`
  ** Generated **
  Model:
    required="true"

### setEditPolicyQualifiedClassName

    void setEditPolicyQualifiedClassName(java.lang.String value)

  Sets the value of the '`Edit Policy Qualified Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Policy Qualified Class Name' attribute.
  See Also:
    `getEditPolicyQualifiedClassName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.